package com.huimv.production.datasource.service;

import com.huimv.common.result.Result;

import java.io.IOException;
import java.util.Date;

public interface IErpDataService {

    String getPsy(String farmID,String startDate,String endDate);

    String getReEstrusRate(String startDate,String endDate,String farmName);

    String getParturitionRate(String startDate,String endDate,String farmName);

    String getStorage(String farmName);

    String getPigletInfo(String startDate,String endDate,String farmName);

    String getMateQuantity(String startDate, String endDate,String farmName);

    String getConceptionRate(String startDate, String endDate,String farmName);

    String getAllStorage(String farmName);

    Object getPigletSurvivalRate(String startDate, String endDate, String farmID);

    Object getTStockHistory(String farmID);

    //获取多个牧场成本数据
    Result getCostWithManyFarm(String yearMonth);

    //获取多个牧场存栏数据
    Result getManyFarmStock();

    //获取多个牧场的生产数据
    Result getManyFarmProduce(String startDate, String endDate);

    Result getWarningMessage() throws IOException;

    Result getWorkPlan(String startDate,String endDate);

    Result getPrepareStatusQuantity();

    Result getPayable();

    Result getSales();
}
